com.pixelmed.dicom

## Class LossyImageCompression

- java.lang.Object
- - com.pixelmed.dicom.LossyImageCompression

-     public class LossyImageCompression
      extends java.lang.Object

  A class to categorize DICOM images as having been lossy compressed or not.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LossyImageCompression()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `describeLossyCompression(AttributeList list)` Describe the nature of lossy compressed that has ever been applied to an image.
    `static boolean` | `hasEverBeenLossyCompressed(AttributeList list)` determine if an image has ever been lossy compressed.
    `static void` | `main(java.lang.String[] arg)` Read a DICOM image input file, and determine if it has ever been lossy compressed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LossyImageCompression

          public LossyImageCompression()

  - ### Method Detail

    - #### hasEverBeenLossyCompressed

          public static boolean hasEverBeenLossyCompressed(AttributeList list)

      determine if an image has ever been lossy compressed.

      Parameters:
        `list` - list of attributes representing a DICOM image
      Returns:
        true if has ever been lossy compressed

    - #### describeLossyCompression

          public static java.lang.String describeLossyCompression(AttributeList list)

      Describe the nature of lossy compressed that has ever been applied to an image.

      Parameters:
        `list` - list of attributes representing a DICOM image
      Returns:
        a string describing the compression, including method and ratio if possible, or a zero length string if never lossy compressed

    - #### main

          public static void main(java.lang.String[] arg)

      Read a DICOM image input file, and determine if it has ever been lossy compressed.

      Parameters:
        `arg` - one required parameters, the input file name